/* You can add global styles to this file, and also import other style files */
@import url('https://fonts.googleapis.com/css2?family=DynaPuff&family=Open+Sans&family=Roboto:wght@400;700;900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
  font-family: 'Roboto', sans-serif;
  font-weight: 400;
  font-size: var(--text-size);
}

a {
  color: black;
}

:root {
  --main-color: #4a4a5c;
  --text-color: #7788F3;
  --back-color: #F8F8FF;
  --secondary-color: #F1F1E6;
  --title-size: 26px;
  --subtitle-size: 22px;
  --text-size: 18px;
  --small-size: 16px;
}

.main-container {
  max-width: 1220px;
  margin: 0 auto;
  padding: 20px;
  animation: fade 0.7s linear;
}

.icon-size {
  width: 20px;
  height: 20px;
  margin-right: 15px;
}

.title {
  font-family: 'Roboto', sans-serif;
  font-weight: bold;
  font-size: var(--title-size);
}

.gallery {
  background-color: var(--back-color) !important;
}

svg {
  fill: var(--main-color);
}

p {
  margin: 0;
  padding: 0;
}

.box-wrapper {
  margin: 20px 0;
}

.box-text {
  font-size: 16px;
  padding: 8px 0;
}

.flexed {
  display: flex;
  align-items: center;
}

.box-title {
  margin: 15px auto;
  font-weight: bold;
  font-size: 18px;
  text-transform: uppercase;
  color: var(--main-color);
}

.warning {
  color: #ed3003;
}

.alert {
  padding-bottom: 10px;
  color: #ed3003;
}

.blacked {
  font-weight: bold;
}

.box-link {
  margin-left: 5px;
  text-decoration: underline;
  cursor: pointer;
}

.box-contacts {
  margin: 30px 10px;
}

.primary-button {
  width: 100%;
  transition: all 0.5s ease-in-out;
  font-weight: bold;
  padding: 10px;
  border: 1px solid var(--main-color);
  color: var(--text-color);
  background-color: rgba(var(--main-color), 0.5%);
  cursor: pointer;
  border-radius: 15px;
}

.primary-button:hover {
  transition: all 0.5s ease-in-out;
  background-color: var(--main-color);
  color: var(--text-color);
}

.disabled {
  background-color: #fff;
  color: gray;
  border-color: gray;
}

.primary-button:hover.disabled {
  background-color: #fff;
  color: gray;
  border-color: gray;
}

.modal-form {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
}

.form-group {
  margin: 20px 0px;
  display: flex;
  flex-direction: row-reverse;
  gap: 10px;
  justify-content: center;
}

.form-input {
  margin: 10px 0;
  width: 100%;
  border: 1px solid var(--text-color);
  border-radius: 13px;
  padding: 10px 15px;
  outline: none;
  font-size: var(--small-size);
  resize: none;
}

.form-input:focus {
  border: 1px solid black;
}

.form-input::placeholder {
  color: var(--main-color);
}

.text-colored {
  color: var(--text-color);
  font-size: var(--subtitle-size);
}

.right {
  text-align: right;
}

.active-link {
  border-bottom: 3px solid var(--text-color) !important;
}

@keyframes fade {
  0%  { opacity: 0 }
  100% { opacity: 1 }
}

.empty {
  color: brown;
}
